
QGIS Application - Bug report #18916

QGIS crashes with no geometry tables 

2018-05-06 12:32 PM - matteo ghetta

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 26748

Description

It seems that it doesn't matter if the table is saved as `dbf` or in a geopackage file. When trying to open the table properties QGIS

crashes. In attach a small `dbf` sample

History

#1 - 2018-05-06 12:37 PM - matteo ghetta

The only error I get is `QGIS died on signal 11Aborted` (from terminal)

#2 - 2018-05-06 09:31 PM - Nyall Dawson

- Status changed from Open to Feedback

That was fixed recently - what build are you using?

#3 - 2018-05-07 07:32 AM - matteo ghetta

- Resolution set to fixed/implemented

Compiled the last QGIS and is fixed. Sorry I miss that fix (you are too fast guys ;) )

#4 - 2018-05-07 10:45 AM - Nyall Dawson

- Status changed from Feedback to Closed

Files

operai2.dbf 1.47 KB 2018-05-06 matteo ghetta
